#!/bin/bash

#smartagent.dmg and mac_deploy.sh both need to be in the downloads folder
cd
cd ~/Downloads

#mounting smartagent
hdiutil attach SmartAgent.dmg
cd
mkdir ~/Desktop/mac_deploy
cd /Volumes/SmartAgent
./create_deploy
cd

#copying files needed
cp ~/Desktop/deployment/ca_key.pem ~/Desktop/mac_deploy 
cp ~/Desktop/deployment/ca.pem ~/Desktop/mac_deploy 
cp ~/Desktop/deployment/localhost.pem ~/Desktop/mac_deploy
cp ~/Desktop/deployment/localhost_key.pem ~/Desktop/mac_deploy 
cp ~/Desktop/deployment/ca.cer ~/Desktop
cp /Volumes/SmartAgent/.sajs/lsconfig.json ~/Desktop/mac_deploy 
cp /Volumes/SmartAgent/SmartAgent.pkg ~/Desktop/

cd ~/Desktop/mac_deploy

#zipping up files for deployment
zip deployment.zip ca_key.pem ca.pem localhost.pem localhost_key.pem lsconfig.json
cd
cd ~/Desktop
mv ~/Desktop/mac_deploy/deployment.zip ~/Desktop

#cleaning up the mess
rm -rf deployment
rm -rf mac_deploy
hdiutil detach /Volumes/SmartAgent

exit 0




